Subject: bug#41215: closed (GDM: Memory leak in .gnome-shell-real process)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Apr 2022 15:20:03 +0000

Your bug report

#40116: memory leak in gnome-shell

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40116: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40116
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: GDM: Memory leak in .gnome-shell-real process
From: Luis Felipe <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 09 Apr 2022 15:19:21 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ok, the issue is gone :)

---
Luis Felipe López Acevedo

Subject: memory leak in gnome-shell
From: Arne Babenhauserheide <[email-masked]>
To: [email-masked]
Date: Tue, 12 May 2020 21:47:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I see a memory leak in Gnome Shell 3.32.2

The following is top output after several days of uptime:

  PID USER      PR  NI    VIRT    RES  %CPU  %MEM     ZEIT+ S BEFEHL                                                                                       
  864 gdm       20   0   39,6g   1,1g   0,0   3,5  85:04.12 S  /gnu/store/3r8h4lygzs06jyx89ffi1y2bbda9s76y-gnome-shell-3.32.2/bin/.gnome-shell-real

RES 1.1g is a bit much.

I tried to capture a coredump with gcore -o /tmp/gnome-shell 864, but
that increased the memory usage to 8g RES before I killed gcore.

Best wishes,
Arne
-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken